using Managing.Domain.Accounts;
using Orleans;

namespace Managing.Domain.Users;

[GenerateSerializer]
public class User
{
    [Id(0)] public int Id { get; set; }

    [Id(1)] public string Name { get; set; }

    [Id(2)] public List<Account> Accounts { get; set; }

    [Id(3)] public string AgentName { get; set; } = string.Empty;

    [Id(4)] public string AvatarUrl { get; set; } = string.Empty;

    [Id(5)] public string TelegramChannel { get; set; } = string.Empty;
}